#
# spec file
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/system-role-server-default repository
#
#   See https://github.com/yast/skelcd-control-server-role/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

%define role_name server-default
Name:           system-role-%{role_name}
# xmllint (for validation)
BuildRequires:  libxml2-tools
# RNG validation schema
BuildRequires:  yast2-installation-control >= 4.0.0

URL:            https://github.com/yast/system-role-server-default
AutoReqProv:    off
Version:        15.6.0
Release:        150600.1.1
Summary:        Server Normal role definition
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Provides:       extension_for_product() = SLES
Provides:       extension_for_product() = SLES_BCL
Provides:       extension_for_product() = SLES_SAP
Provides:       installer_module_extension() = system-role-server-default

%description
Meta package for Server Normal role definition.
It is not intended for installation.

%prep

%setup -n %{name}-%{version}

%check
#
# Verify syntax
#
make -C control check

%install

mkdir -p $RPM_BUILD_ROOT
#
# Add control file
#
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/system-roles
install -m 644 control/installation.xml $RPM_BUILD_ROOT/%{_datadir}/system-roles/%{role_name}.xml

# install LICENSE (required by build service check)
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}

%files
%defattr(644,root,root,755)
%{_datadir}/system-roles
%doc %dir %{_prefix}/share/doc/packages/%{name}
%doc %{_prefix}/share/doc/packages/%{name}/LICENSE

%changelog
* Fri Mar  3 2023 lslezak@suse.cz
- Bump version to 15.6.0 (bsc#1208913)
* Wed Apr  6 2022 lslezak@suse.cz
- Bump version to 15.5.0 (bsc#1198109)
* Tue Apr 20 2021 lslezak@suse.cz
- 15.4.0 (bsc#1185510)
* Wed Mar 13 2019 jreidinger@suse.com
- enable role for SLES BCL (bsc#1128898)
- 15.1.2
* Mon Nov 12 2018 mvidner@suse.com
- Correct the file name to make system roles reappear (bsc#1115607)
- 15.1.1
* Tue Nov  6 2018 jreidinger@suse.com
- use FHS compliant path (bsc#1108176)
- 15.1.0
* Tue Sep 25 2018 dgonzalez@suse.com
- Delete partitioning information from description (fate#324713)
- 15.0.10
* Wed Mar 28 2018 eich@suse.com
- Drop HPC from the server default role (bsc#1086849)
- 15.0.9
* Tue Dec 19 2017 gsouza@suse.com
- Corrected SLES4SAP and SLES4HPC extension_for_product entry
  (bsc#1072592)
- 15.0.8
* Mon Dec  4 2017 gsouza@suse.com
- Filter SLES roles so that they are not shown with SLED
  (fate#324198)
- 15.0.7
* Mon Nov 20 2017 jsrain@suse.cz
- gnome-basic -> gnome_basic batter rename (bsc#1066771)
- 15.0.6
* Fri Oct 20 2017 jsrain@suse.cz
- adjusted pattern list (bsc#1064277)
- 15.0.5
* Thu Oct 12 2017 jreidinger@suse.com
- rename role (requested by sbehler, still part of bsc#1049297)
- 15.0.4
* Tue Oct 10 2017 coolo@suse.com
- remove x11_enhanced again - and make gnome-basic required (bsc#1057538)
- 15.0.3
* Tue Oct 10 2017 coolo@suse.com
- Require X11 pattern (and together with GNOME also x11_enhanced), so
  that deselecting GNOME will leave you with minimal X (bsc#1057538)
- 15.0.2
* Sun Oct  1 2017 knut.anderssen@suse.com
- Use the correct label and description from the former SLES role
  (bsc#1049297).
- 15.0.1
* Fri Sep 29 2017 knut.anderssen@suse.com
- Initial package (needed for having roles in their own package for
  different modules) bsc#1049297.
- 15.0.0
